Reject a Return Request for a Wire
Reject the currently active incoming return request associated with the wire. In V2 this can also be called on return requests of return wires to support return-of-a-return.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Idempotency key
255Path Parameters
ID of the wire object whose active return request you want to reject.
^wire_\w+$Body
The reason for rejecting an incoming return request.
account_closed- Account closednon_sufficient_funds- Insufficient fundscustomer_requested- Customer decisionlegal_decision- Legal decisioncustomer_no_response- No answer from customerreturned_previously- Already returnednarrative- Narrative reason, additional_information required
account_closed, non_sufficient_funds, customer_requested, legal_decision, customer_no_response, returned_previously, narrative "customer_requested"
Accompanying free-text explanation for the reason. Required when reason is narrative.
1 - 105^[0-9a-zA-Z/\-\?:\(\)\.,'\+ !@#$%^&\*=_`\{\|\}~";<>\[\\\]]*[0-9a-zA-Z/\-\?:\(\)\.,'\+!@#$%^&\*=_`\{\|\}~";<>\[\\\]][0-9a-zA-Z/\-\?:\(\)\.,'\+ !@#$%^&\*=_`\{\|\}~";<>\[\\\]]*$Response
The updated wire object, with the active return request now in rejected status.
A wire object.
Unique identifier of the wire object.
^wire_\w+$"wire_xyz123"
The ID of the Lead Bank Account Number object.
^account_number_\w+$"account_number_xyz123"
Linked core transaction ID(s) associated with the wire.
ISO 8601 format timestamp representing when the wire object was created.
"2024-06-27T11:22:33Z"
ISO 8601 format timestamp representing when the wire object was last updated.
"2024-06-27T11:22:33Z"
The ISO-8601 datestamp indicating the wire settlement date based on Fedwire's business day definition.
"2024-06-27"
Who is initiating the transaction.
outgoing: You are sending a wire transaction to a counterparty. incoming: You are receiving an wire transaction from a counterparty.
outgoing, incoming "incoming"
Indicates the type of wire message that the object represents.
transfer, return "transfer"
Indicates whether the wire is domestic or international.
domestic, international "domestic"
The current status of the wire object.
Note: scheduled, processing, and cancel_pending are legacy values carried over from V1 and will be deprecated in 2027.
created, scheduled, processing, posted, under_review, rejected, canceled, cancel_pending "created"
Details of the debtor sending funds.
Details of the financial institution where the debtor holds their account. This object may be absent if the instructing agent does not provide this information.
The financial institution that transmitted the payment through Fedwire. In some cases, this may differ from the bank where the account is held. This object will always be populated.
The financial institution that received the payment through Fedwire. This may not always be the bank where the recipient's account is held. This object will always be populated.
Details of the financial institution where the creditor holds their account. This object may be absent if the instructing agent does not provide this information.
Details of the creditor receiving funds.
Details of the party that initiates the payment on behalf of the debtor. For outgoing wires, automatically populated with your organization's name. For incoming wires, populated from the ISO initiating party when provided by the sending institution.
The ultimate party on whose behalf the payment is made, if different from the debtor.
The ultimate party to which the payment is intended, if different from the creditor.
Details of any other agents involved in the wire transfer.
Wire payment identifiers.
Wire remittance details.
Information about any charges assessed during wire transfer processing.
Related wire objects.
Return requests associated with the wire, sorted oldest first. Empty when no return requests exist.
Return details associated with a returned wire.
Rejection details associated with a rejected wire.
A set of key-value pairs that can be used to store additional information related to this object.

